Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class PointOfInteractionCapabilities1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.PointOfInteractionCapabilities1

    public class PointOfInteractionCapabilities1
    extends java.lang.Object

Java class for PointOfInteractionCapabilities1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PointOfInteractionCapabilities1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CardRdngCpblties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CardDataReading1Code" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CrdhldrVrfctnCpblties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CardholderVerificationCapability1Code" maxOccurs="unbounded" minOccurs="0"/>
             <element name="OnLineCpblties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}OnLineCapability1Code" minOccurs="0"/>
             <element name="DispCpblties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}DisplayCapabilities1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="PrtLineWidth" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max3NumericText" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<CardDataReading1Code>` `cardRdngCpblties`
`protected java.util.List<CardholderVerificationCapability1Code>` `crdhldrVrfctnCpblties`
`protected java.util.List<DisplayCapabilities1>` `dispCpblties`
`protected OnLineCapability1Code` `onLineCpblties`
`protected java.lang.String` `prtLineWidth`

### Constructor Summary

Constructors
`PointOfInteractionCapabilities1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<CardDataReading1Code>` `getCardRdngCpblties()` Gets the value of the cardRdngCpblties property.
`java.util.List<CardholderVerificationCapability1Code>` `getCrdhldrVrfctnCpblties()` Gets the value of the crdhldrVrfctnCpblties property.
`java.util.List<DisplayCapabilities1>` `getDispCpblties()` Gets the value of the dispCpblties property.
`OnLineCapability1Code` `getOnLineCpblties()` Gets the value of the onLineCpblties property.
`java.lang.String` `getPrtLineWidth()` Gets the value of the prtLineWidth property.
`void` `setOnLineCpblties​(OnLineCapability1Code value)` Sets the value of the onLineCpblties property.
`void` `setPrtLineWidth​(java.lang.String value)` Sets the value of the prtLineWidth property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cardRdngCpblties

    protected java.util.List<CardDataReading1Code> cardRdngCpblties

#### crdhldrVrfctnCpblties

    protected java.util.List<CardholderVerificationCapability1Code> crdhldrVrfctnCpblties

#### onLineCpblties

    protected OnLineCapability1Code onLineCpblties

#### dispCpblties

    protected java.util.List<DisplayCapabilities1> dispCpblties

#### prtLineWidth

    protected java.lang.String prtLineWidth

### Constructor Detail

#### PointOfInteractionCapabilities1

    public PointOfInteractionCapabilities1()

### Method Detail

#### getCardRdngCpblties

    public java.util.List<CardDataReading1Code> getCardRdngCpblties()

Gets the value of the cardRdngCpblties property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cardRdngCpblties property.

For example, to add a new item, do as follows:

        getCardRdngCpblties().add(newItem);

Objects of the following type(s) are allowed in the list `CardDataReading1Code`

#### getCrdhldrVrfctnCpblties

    public java.util.List<CardholderVerificationCapability1Code> getCrdhldrVrfctnCpblties()

Gets the value of the crdhldrVrfctnCpblties property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the crdhldrVrfctnCpblties property.

For example, to add a new item, do as follows:

        getCrdhldrVrfctnCpblties().add(newItem);

Objects of the following type(s) are allowed in the list `CardholderVerificationCapability1Code`

#### getOnLineCpblties

    public OnLineCapability1Code getOnLineCpblties()

Gets the value of the onLineCpblties property.

Returns:
  possible object is `OnLineCapability1Code`

#### setOnLineCpblties

    public void setOnLineCpblties​(OnLineCapability1Code value)

Sets the value of the onLineCpblties property.

Parameters:
  `value` - allowed object is `OnLineCapability1Code`

#### getDispCpblties

    public java.util.List<DisplayCapabilities1> getDispCpblties()

Gets the value of the dispCpblties property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dispCpblties property.

For example, to add a new item, do as follows:

        getDispCpblties().add(newItem);

Objects of the following type(s) are allowed in the list `DisplayCapabilities1`

#### getPrtLineWidth

    public java.lang.String getPrtLineWidth()

Gets the value of the prtLineWidth property.

Returns:
  possible object is `String`

#### setPrtLineWidth

    public void setPrtLineWidth​(java.lang.String value)

Sets the value of the prtLineWidth property.

Parameters:
  `value` - allowed object is `String`